Package org.springframework.security.web.webauthn.api

# Class PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder

java.lang.Object
org.springframework.security.web.webauthn.api.PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder

Enclosing class:
  PublicKeyCredentialRpEntity

public static final class PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder extends Object
Used to create a `PublicKeyCredentialRpEntity`.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialRpEntity`
`build()`
Creates a new `PublicKeyCredentialRpEntity`.
`PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder`
`id(String id)`
Sets the `PublicKeyCredentialRpEntity.getId()` property.
`PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder`
`name(String name)`
Sets the `PublicKeyCredentialRpEntity.getName()` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### name

public PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder name(String name)
Sets the `PublicKeyCredentialRpEntity.getName()` property.

Parameters:
  `name` - the name property
Returns:
  the `PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder`

### id

public PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder id(String id)
Sets the `PublicKeyCredentialRpEntity.getId()` property.

Parameters:
  `id` - the id
Returns:
  the `PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder`

### build

public PublicKeyCredentialRpEntity build()
Creates a new `PublicKeyCredentialRpEntity`.

Returns:
  a new `PublicKeyCredentialRpEntity`.